> ## Documentation Index
> Fetch the complete documentation index at: https://whitelabelled-staking-docs.adamik.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account History

> Returns the history of a specified account identifier (address or xpub) and chain ID, primarily focusing on past transactions.



## OpenAPI

````yaml openapi.json get /api/{chainId}/account/{accountId}/history
openapi: 3.1.0
info:
  title: Adamik
  version: 0.1.0
  description: Adamik API reference
servers:
  - url: https://api.adamik.io
security:
  - ApiKeyAuth: []
paths:
  /api/{chainId}/account/{accountId}/history:
    get:
      tags:
        - Account
      summary: Get Account History
      description: >-
        Returns the history of a specified account identifier (address or xpub)
        and chain ID, primarily focusing on past transactions.
      parameters:
        - in: path
          name: chainId
          schema:
            type: string
            enum:
              - cosmoshub
              - osmosis
              - celestia
              - dydx
              - axelar
              - ethereum
              - sepolia
              - holesky
              - base
              - base-sepolia
              - optimism
              - optimism-sepolia
              - arbitrum
              - arbitrum-sepolia
              - polygon
              - polygon-amoy
              - bsc
              - bsc-testnet
              - linea
              - linea-sepolia
              - avalanche
              - avalanche-fuji
              - gnosis
              - gnosis-chiado
              - moonbeam
              - moonriver
              - moonbase
              - fantom
              - injective
              - akash
              - neutron
              - evmos
              - juno
              - sei
              - stride
              - kava
              - starknet
              - babylon
              - babylon-testnet
              - monad-testnet
              - cronos
              - world-chain
          required: true
        - in: path
          name: accountId
          description: Account identifier (address, xpub, etc) for the specified chain ID
          schema:
            type: string
            description: Account identifier (address, xpub, etc) for the specified chain ID
          required: true
        - in: query
          name: nextPage
          description: >-
            Token from the previous response of this endpoint. Provide it here
            to fetch the next page of results.
          schema:
            type: string
            description: >-
              Token from the previous response of this endpoint. Provide it here
              to fetch the next page of results.
        - in: query
          name: include
          description: >-
            Optional filter to request specific data. Use a single 'include'
            parameter with comma-separated values. Possible values are 'parsed'
            and 'raw'.
          schema:
            type: string
            description: >-
              Optional filter to request specific data. Use a single 'include'
              parameter with comma-separated values. Possible values are
              'parsed' and 'raw'.
            example: parsed,raw
      responses:
        '200':
          description: >-
            Returns the current list of transactions for the specified address
            and chain ID.
          content:
            application/json:
              schema:
                type: object
                properties:
                  chainId:
                    type: string
                    enum:
                      - cosmoshub
                      - osmosis
                      - celestia
                      - dydx
                      - axelar
                      - ethereum
                      - sepolia
                      - holesky
                      - base
                      - base-sepolia
                      - optimism
                      - optimism-sepolia
                      - arbitrum
                      - arbitrum-sepolia
                      - polygon
                      - polygon-amoy
                      - bsc
                      - bsc-testnet
                      - linea
                      - linea-sepolia
                      - avalanche
                      - avalanche-fuji
                      - gnosis
                      - gnosis-chiado
                      - moonbeam
                      - moonriver
                      - moonbase
                      - fantom
                      - injective
                      - akash
                      - neutron
                      - evmos
                      - juno
                      - sei
                      - stride
                      - kava
                      - starknet
                      - babylon
                      - babylon-testnet
                      - monad-testnet
                      - cronos
                      - world-chain
                  accountId:
                    type: string
                  transactions:
                    type: array
                    items:
                      type: object
                      properties:
                        raw: {}
                        parsed:
                          type: object
                          properties:
                            id:
                              type: string
                            mode:
                              anyOf:
                                - type: string
                                  enum:
                                    - deployAccount
                                    - transfer
                                    - transferToken
                                    - stake
                                    - unstake
                                    - claimRewards
                                    - withdraw
                                    - registerStake
                                - type: string
                                  const: unknown
                            state:
                              type: string
                              enum:
                                - pending
                                - unconfirmed
                                - confirmed
                                - failed
                                - unknown
                            tokenId:
                              type: string
                            blockHeight:
                              type: string
                            timestamp:
                              type: string
                              description: Timestamp in milliseconds
                            fees:
                              type: object
                              properties:
                                amount:
                                  type: string
                                  description: >-
                                    Amount to use, either provided or computed
                                    by the API
                                ticker:
                                  type: string
                                  description: >-
                                    Specific currency for that amount. If not
                                    provided, the amount is in the native
                                    currency of the chain.
                              required:
                                - amount
                            gas:
                              type: string
                              description: >-
                                Transaction gas computed by the API, when
                                relevant for the chain.
                            nonce:
                              type: string
                              description: >-
                                Transaction sequence number, when relevant for
                                the chain.
                            memo:
                              type: string
                              description: >-
                                Optional free text field, that is supported for
                                some chains.
                            senders:
                              type: array
                              items:
                                type: object
                                properties:
                                  address:
                                    type: string
                                  amount:
                                    type: string
                                    description: >-
                                      Amount to use, either provided or computed
                                      by the API
                                  ticker:
                                    type: string
                                    description: >-
                                      Specific currency for that amount. If not
                                      provided, the amount is in the native
                                      currency of the chain.
                                required:
                                  - address
                                  - amount
                            recipients:
                              type: array
                              items:
                                type: object
                                properties:
                                  address:
                                    type: string
                                  amount:
                                    type: string
                                    description: >-
                                      Amount to use, either provided or computed
                                      by the API
                                  ticker:
                                    type: string
                                    description: >-
                                      Specific currency for that amount. If not
                                      provided, the amount is in the native
                                      currency of the chain.
                                required:
                                  - address
                                  - amount
                            validators:
                              type: object
                              properties:
                                source:
                                  type: object
                                  properties:
                                    address:
                                      type: string
                                    amount:
                                      type: string
                                      description: >-
                                        Amount to use, either provided or
                                        computed by the API
                                    ticker:
                                      type: string
                                      description: >-
                                        Specific currency for that amount. If
                                        not provided, the amount is in the
                                        native currency of the chain.
                                  required:
                                    - address
                                    - amount
                                target:
                                  type: object
                                  properties:
                                    address:
                                      type: string
                                    amount:
                                      type: string
                                      description: >-
                                        Amount to use, either provided or
                                        computed by the API
                                    ticker:
                                      type: string
                                      description: >-
                                        Specific currency for that amount. If
                                        not provided, the amount is in the
                                        native currency of the chain.
                                  required:
                                    - address
                                    - amount
                          required:
                            - id
                            - mode
                            - state
                            - fees
                  pagination:
                    type: object
                    properties:
                      nextPage:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: >-
                          Use the token from the previous response to retrieve
                          the next page of results.
                    required:
                      - nextPage
                required:
                  - chainId
                  - accountId
                  - transactions
                  - pagination
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````